% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-20: MSF (Two processes A and B using two resources Q and R)
%   This example is to explain how resources are handled in GPenSIM 
% Reggie.davidrajuh@uis.no  (c) 15 Nov 2017

clear all; clc; close all;

global global_info
global_info.STOP_AT = 20;

pns = pnstruct('procAB_resQR_pdf');

dyn.m0 = {'pA1',1, 'pB1',1};
dyn.ft = {'allothers',1};
dyn.re = {'Q',1,inf, 'R',1,inf};

pni = initialdynamics(pns, dyn);

sim = gpensim(pni);

prnschedule(sim);
plotGC(sim, [1 1 2 2]);
occupancy(sim, {'tA1','tA2', 'tB1','tB2'});

